org.apache.sling.testing.mock.sling.jackrabbit

## Class JackrabbitMockResourceResolverAdapter

- java.lang.Object
- - org.apache.sling.testing.mock.sling.jackrabbit.JackrabbitMockResourceResolverAdapter

All Implemented Interfaces:
  org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter

    public class JackrabbitMockResourceResolverAdapter
    extends Object
    implements org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter

Resource resolver type adapter for Jackrabbit repository.

### Constructor Summary

Constructors
Constructor and Description
`JackrabbitMockResourceResolverAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.api.resource.ResourceResolverFactory` `newResourceResolverFactory()`
`org.apache.sling.jcr.api.SlingRepository` `newSlingRepository()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JackrabbitMockResourceResolverAdapter

    public JackrabbitMockResourceResolverAdapter()

### Method Detail

#### newResourceResolverFactory

    public org.apache.sling.api.resource.ResourceResolverFactory newResourceResolverFactory()

Specified by:
  `newResourceResolverFactory` in interface `org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter`

#### newSlingRepository

    public org.apache.sling.jcr.api.SlingRepository newSlingRepository()

Specified by:
  `newSlingRepository` in interface `org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter`